Pyhf and Combine differences behind the translation

Major differences and restrictions in the translation:
*	For Combine->pyhf: gmN and lnU are currently not supported in the translation as there are no useful modifiers in pyhf that have the same uncertainty effect on the model
*	For pyhf->Combine: Shapefactor is currently implemented as a simple rateParam in the datacard. This does not have a great impact on the effect of the modifier on the model, but the fit values will be slightly different
*	DISCLAIMER: For the pyhf->datacard translation, there is no way to implement the shape/norm split without converting to datacard and then back to pyhf. This means that a single conversion from pyhf->datacard will result in fits that are slightly different, since there is no shape/norm split in the pyhf workspace

Differences in output, inferences:
*	Staterror / autoMCStats are handled differently between the two models. While the uncertainties and the basic structure of the parameters are the same, the parameters act much differently on the data, and therefore the fit numbers for these parameters are very different. However, it should be noted that despite different actual values, the effect of the uncertainty on the model is the same. For Combine, the absolute bin-wise uncertainties are multiplied by the value of the parameter, and that product is added to the nominal yield to get the final yield. For pyhf, however, the bin-wise uncertainties are calculated relative to the nominal yield, and then that relative uncertainty is put into a multiplicative factor, centered around 0, which multiplies the entire nominal yield to get the final yield. For example, for an uncertainty of 20% for a sample, the fitted parameter in Combine may have a value of 2, corresponding to a 40% increase in the nominal yield. For pyhf, this would correspond to a fit value of 1.4.
*	There is some discrepancy in the nll scans with the staterror modifier when the nll scans are done with “profiled” nuisance parameters, i.e the nuisances are refitted at every point in the scan. This difference seems to be the cause of the discrepancies in the actual fits of the models that are done. Presumably this is due to the shape/norm split that Combine does, but even when flagging this in the datacard to remove the split, the difference persists
Major differences in the structure of the specs:
*	Since Combine does not allow specification of lnN and shape uncertainties of the same name, the hist-mode that splits the shape uncertainty has been turned to 2 so that this split does not occur, and instead, the normsys term is put into the datacard via ‘shape?’ which ensures that Combine will take the uncertainty into account even with a separate ‘shape’ uncertainty of the same name. This was, the shape/norm split that Combine usually does is accomplished manually in the datacard if the normalization is present in pyhf, and it removes this split entirely if it is not present in the original workspace.
*	Due to the need to have a general standard for generating names of pathings and otherwise, some aspect of the translated model will not be completely the same. But it has been verified that the structure and the fits of the models do agree despite these minut differences, so they should be broadly ignored. 